Create Staff MemberAsk AIpost https://api.vcita.biz/platform/v1/businesses/{business_uid}/staffsOverview Creates a Staff Member. Available for Staff, Application, and Directory tokens. Content-Type: Requires application/json content type header.Path Paramsbusiness_uidstringrequiredUnique identifier of the business to create the staff member for.Body ParamsmetaobjectOptional metadata for the staff creation request.meta objectstaffobjectrequiredRequired wrapper object containing the staff member details. This top-level 'staff' key is mandatory - omitting it results in a 400 error.staff objectResponses 200Operation completed successfully. 400Bad Request - Validation error. Common validation errors include: staff parameters are missing - The request body must contain a 'staff' object wrapper staff.email is required - Email is a mandatory field staff.email must be valid - Email format is invalid staff.email already in use - Email address is already associated with another user in the platform staff.display_name is a mandatory field - Display name is required staff.role must be valid - Role must be one of: admin, manager, marketing, collaborator, user staff.first_name must not be longer than 256 - First name exceeds maximum length staff.first_name must not contain html tags - HTML tags are not allowed staff.first_name must not contain newlines - Newline characters are not allowed meta.invite should be true/false - Invite must be a boolean value Updated 2 months ago